//
//  MessangiAPI.h
//  Messangi
//
//  Created by Oscar Anzola on 6/26/14.
//  Copyright (c) 2014 Ogangi. All rights reserved.
//

#import <Foundation/Foundation.h>

#ifndef Messangi_MessangiConstants_h
#define Messangi_MessangiConstants_h

// Used in DeviceSubscriber.m
//#define CLIENT_ID   @"D79BFFVx2TjXcJrrnktB"
#define PREFIX      @"https://api.messangi.com/messangi-staging/rest/message"
//#define APICLIENTPUBLICKEY @"wzuuzVeVA4hR9Xc8kWQB"
//#define APPNAME     @"Messangi"
#define DISTANCE_UPDATE 25

#define VALIDATION_CODE_LENGTH  5

#endif

/*!
 *  @brief  ???
 */
@interface MessangiAPI : NSObject

/*!
 *  @brief  Convert NSData in NSString
 *  @param NSDataBytes the NSData to convert to String
 *  @return A NSString Represent the NSData
 */
+ (NSString *)NSDataToNSString:(NSData *)NSDataBytes;

/*!
 *  @brief  Encode String for Messangi Backend Require
 *  @param data Data to Encode
 *  @param key  Key for Encode
 *  @return Encoded String
 */
+ (NSString *)encodeString:(NSString *)data usingKey:(NSString *)key;
@end
