package com.ogangi.messangi.android.demo.inbox;

import android.os.Build;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.webkit.WebView;

import com.ogangi.messangi.android.demo.R;
import com.ogangi.messangi.android.demo.inbox.notification.Notification;

public class webviewActivity extends AppCompatActivity {

    Notification.NotificationItem mItem;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_webview);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        String ID = getIntent().getStringExtra("NOTIFICATION_ID");
        mItem = Notification.getNotification(ID);

        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        String data = "";
        if(mItem != null) {
            setTitle(mItem.title);
            data = mItem.html;
        }else{
            try {
                setTitle(getIntent().getStringExtra("TITLE"));
                data = getIntent().getStringExtra("HTML");
            }catch (Exception _e){
                setTitle("Back to Main Menu");
                data = "<h3>An error has been occurred, please try again</h3>";
            }
        }

        WebView webview = (WebView)this.findViewById(R.id.webView);
        webview.getSettings().setJavaScriptEnabled(true);
        webview.loadData(data, "text/html; charset=utf-8", "UTF-8");

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.KITKAT) {
            WebView.setWebContentsDebuggingEnabled(true);
        }
    }

}
