//
//  AuthenticationViewController.h
//  Messangi
//
//  Created by Oscar Anzola on 5/23/14.
//  Copyright (c) 2014 Ogangi. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RegisterPhoneDataloader.h"

@class User;

typedef enum {
    REQUESTING_NUMBER,
    REQUESTING_CODE
}FTStatus;

@interface AuthenticationViewController : UIViewController <UITextFieldDelegate, RegisterPhoneDelegate>

@property FTStatus status;

@property (weak, nonatomic) IBOutlet UILabel *enterMobilePhoneNumberLabel;
@property (weak, nonatomic) IBOutlet UILabel *countryCodeLabel;
@property (weak, nonatomic) IBOutlet UILabel *areaCodeLabel;
@property (weak, nonatomic) IBOutlet UILabel *phoneNumberLabel;
@property (weak, nonatomic) IBOutlet UILabel *cancelButtonLabel;
@property (weak, nonatomic) IBOutlet UIButton *sendValidationCodeButton;
@property (weak, nonatomic) IBOutlet UIButton *cancelMobileNumberValidationButton;
@property (weak, nonatomic) IBOutlet UITextField *countryCodeTextField;
@property (weak, nonatomic) IBOutlet UITextField *areaCodeTextField;
@property (weak, nonatomic) IBOutlet UITextField *numberTextField;

- (IBAction)cancelCodeValidation:(UIStoryboardSegue *)segue;
- (IBAction)processCodeValidation:(UIStoryboardSegue *)segue;

@end
