//
//  CodeValidationViewController.m
//  Messangi
//
//  Created by Oscar Anzola on 5/28/14.
//  Copyright (c) 2014 Ogangi. All rights reserved.
//

#import "CodeValidationViewController.h"
#import "AppDelegate.h"

@interface CodeValidationViewController () <UITextFieldDelegate, UINavigationControllerDelegate>

@property (nonatomic) BOOL validationSuccess;

@end

@implementation CodeValidationViewController
- (IBAction)codeValidationtextField:(id)sender {
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
	[textField resignFirstResponder];
    
	return YES;
}

- (IBAction)validateButton:(id)sender {
    _validationSuccess = YES;
    
    if (_validationSuccess) {
        AppDelegate *appDelegateTemp = (AppDelegate *)[[UIApplication sharedApplication]delegate];
        
        appDelegateTemp.window.rootViewController = [[UIStoryboard storyboardWithName:@"Main" bundle:[NSBundle mainBundle]] instantiateInitialViewController];
    }
    else {
        
    }
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    [self.view setBackgroundColor:[UIColor colorWithPatternImage:[UIImage imageNamed:@"LS-BG.png"]]];
    self.navigationController.navigationBarHidden = YES;
    _promptLabel.text = NSLocalizedString(@"CodeEntryPrompt", @"Prompts user to enter their validation code");
    [_validateButton setTitle:NSLocalizedString(@"ValidationButton", @"Button that says \"Validate this code\"") forState:UIControlStateNormal];
    [_validateButton.titleLabel setTextAlignment: NSTextAlignmentCenter];
    [_cancelValidationButton setTitle:NSLocalizedString(@"CancelButton", @"A cancel button") forState:UIControlStateNormal];
    [_cancelValidationButton.titleLabel setTextAlignment: NSTextAlignmentCenter];
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
