package com.ogangi.messangi.android.sdk;

/**
 * Stores constant values used commonly throughout the Library
 */
@SuppressWarnings("unused")
public class Constants {
	public static final String ANDROID_REG = "androidReg";
	public static final String REGISTER_PHONE = "registerPhone";
	public static final String ACTIVATE_PHONE = "activatePhone";
	public static final String MESSAGE_CONTENT = "getMessage";
	public static final String PENDING_MESSAGES = "getPendingMessages";
	public static final String GEOFENCES_LIST = "getGeoFences";
	public static final String BEACONS_LIST = "getBeacons";
	public static final String REGION_EVENT = "notifyRegionEvent";
	public static final String GEOLOCATION_EVENT = "sendLocation";
	public static final String UPDATE_MESSAGE_STATUS = "updateMessageStatus";
	public static final String MESSAGE_READ = "READ";
	public static final String MESSAGE_UNREAD = "SENT";
	public static final String GET_SUBSCRIPTIONS = "distributionlists";
	public static final String SUBSCRIBE_TO_LIST = "addtodistlist";
	public static final String UNSUBSCRIBE_FROM_LIST = "removefromdistlist";
	public static final String SEND_RESPONSE = "sendResponse";
	
	public static final String SPACER = "/";
	public static final String PLATFORM = "ANDROID";
	public static final long CREATION_TIME_GRACE_PERIOD = 18000l; //3Min
	public static final long ENTER_TIME_GRACE_PERIOD = 18000l;
	public static final long EXIT_TIME_GRACE_PERIOD = 18000l;

	public static final String NOTIFICATION_INBOX = "messangiInbox3";
}