//
//  Business.h
//  Messangi
//
//  Created by Christopher Choitz on 8/19/14.
//  Copyright (c) 2014 Ogangi. All rights reserved.
//

#import <Foundation/Foundation.h>

#define DIRECTORY_BUSINESS @"Businesses"
#define DIRECTORY_CURRENT @"Current Business"

@interface Business : NSObject

@property (nonatomic, strong) UIImage *logo;
@property (nonatomic, strong) NSString *businessName;
@property (nonatomic, strong) NSString *businessDescription;
@property (nonatomic, strong) NSArray *tabs;
@property (nonatomic, strong) NSString *filename;
@property (nonatomic, strong) NSString *subscriptionID;

-(instancetype)initWithFile;
-(instancetype)initWithNewSelection:(NSString *)fileName;
-(instancetype)initDefault;

+(NSString *)businessDirectory;
-(void)writeCurrentBusinessToFile;
-(NSMutableDictionary *)businessToDictonaryEntry;
+(BOOL)businessSaved;

@end
