//
//  DeviceSuscriber.h
//  ego
//
//  Created by Jose V. Salazar on 12/15/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

/*
   @protocol DeviceSubscriberDelegate <NSObject>
   @required
   - (void) deviceSubscriberSucceeded:(BOOL)success withMessage:(NSString*)message;
   -(void)dataloaderReturnedError:(NSString *)error;
   @end
 */

/*!
 *  @brief  Interface for Subscribe a device to retrieve push notifications
 */
@interface DeviceSubscriber : NSObject <NSXMLParserDelegate>
/*
 * OA: We believe this is a mistake
   {
    NSMutableString *currentStringValue;
    NSString *currentProperty;
    id <DeviceSubscriberDelegate> delegate;

   }
 */

@property BOOL successful;
@property (strong) NSString *message;
//@property (strong) ServiceCategory *currentCategory;
//@property (strong) NSMutableArray *categories;
@property (retain) id delegate;
@property (nonatomic, strong) NSMutableString *currentStringValue;
@property (nonatomic, strong) NSString *currentProperty;

/*!
 *  @brief  Send the deviceUniqueID for Subscribe to Messangi Backend
 */
- (void)registerDeviceWithUniqueID;

@end
