//
//  SendMessage.m
//  MessangiSDK
//
//  Created by Jesus on 30/9/15.
//  Copyright © 2015 Ogangi. All rights reserved.
//


#import "SendMessage.h"
#import "MessangiAPI.h"
#import "Messangi.h"

@implementation SendMessage


+(void)SendMessage:(NSString *)text from:(NSString *)from
{
    NSLog(@"SendMessage");
    //sendResponse/{text}/{from}/{appName}/{platform}/{clientId}/{timeStamp}/{signature}


    double timeStamp = ((double)[[NSDate date]timeIntervalSince1970])*1000;

    NSString *stringToSign = [NSString stringWithFormat:@"%@/%@/%@/%@/%@/%F",text,from,[Messangi sharedInstance].appName, @"IOS",[Messangi sharedInstance].clientID,timeStamp];

    NSString *encodedStringToSign = [stringToSign stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLPathAllowedCharacterSet]];

    NSString *signedString = [MessangiAPI encodeString:stringToSign usingKey:[Messangi sharedInstance].apiClientPrivateKey];

    NSString *urlString = [NSString stringWithFormat:@"%@/sendResponse/%@/%@", PREFIX, encodedStringToSign ,signedString];
    NSLog(@"urlString :%@",urlString);

    NSURLSession* mySession = [NSURLSession sharedSession];
    NSURLSessionTask* task = [mySession dataTaskWithURL:[NSURL URLWithString:urlString]
                                      completionHandler:^(NSData* data,
                                                          NSURLResponse* response, NSError* error) {
                                          if (error == nil)
                                          {
                                              NSLog(@"sendResponse: completed successfully");
                                          }
                                          else
                                          {
                                              NSLog(@"sendResponse: completed with error: %@", [error localizedDescription]);
                                          }
                                      }];
    [task resume];
}

@end
