package com.ogangi.messangi.demo;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.google.gson.Gson;
import com.ogangi.messangi.android.sdk.vo.MessageVO;

import java.util.Random;

/**
 * Created by jmtt on 23/04/15.
 * Receive Push Notification from Messangi SDK
 */
public class PushReceived extends BroadcastReceiver{
    Gson gson = new Gson();
    @Override
    public void onReceive(Context context, Intent intent) {
        String json = intent.getStringExtra("message");
        MessageVO message = MessageVO.fromJson(json);
        int id = new Random().nextInt();
        if(!MainActivity.mBound){
            NotificationController.notify(message.getMessageTitle(),message.getMessageContent(),id);
        }else{
            NotificationController.notifyOpen(message.getMessageTitle(),message.getMessageContent(),id);
        }

    }
}
